/*
 * AutomatonStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef AUTOMATON_STRING_API_HPP_
#define AUTOMATON_STRING_API_HPP_

#include "../StringApi.hpp"
#include <automaton/Automaton.h>

namespace alib {

template < >
struct stringApi < automaton::Automaton > {
	static automaton::Automaton parse ( std::istream & input );
	static void compose ( std::ostream & output, const automaton::Automaton & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
